import { Low } from 'tnp-core/lib-prod';
import type { BaseProjectResolver } from './base-project-resolver';
export declare class BaseDb<DB extends object> {
    private ins;
    private dbName;
    private defaultDb;
    constructor(ins: BaseProjectResolver, dbName: string, defaultDb: DB);
    private lowDB;
    get isUsingDB(): boolean;
    get projectsDbLocation(): string;
    getConnection(): Promise<Low<DB>>;
}
